Subject: Re: [PATCH v2, resend] gianfar: don't duplicate gfar_error()

From: Jeff Garzik <[email-masked]>
Date: Sat, 17 Feb 2007 15:27:30 -0500

Sergei Shtylyov wrote:
> It was hardly necessary to repeat most of the code from gfar_error() in
> gfar_interrupt(), especially having some inconsistencies between the two.
> So, make the gfar_interrupt() just call gfar_error(), and not acknowledge
> the interrupts itself as gfar_{receive/transmit/error}() do it anyway.
> While at it, also clarify/cleanup debug messages in gfar_error()...
> 
> Signed-off-by: Sergei Shtylyov <[email-masked]>
> 
> ---
> The patch survived netperf stressing on MPC8540ADS realtime kernel. :-)
> 
> Sorry, forgot to remove the obsolete regs argument from gfar_error() call,
> call, so the previous version wasn't even compilable -- I've tested the patch
> in the older kernel. Resending now with better placed comments which you won't
> have to edit out... :-<
> 
>  drivers/net/gianfar.c |   85 ++++++++------------------------------------------
>  1 files changed, 15 insertions(+), 70 deletions(-)

applied.  thanks for resending with your comments moved after the "---" 
terminator